Frama-C Bug Tracking System

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000883Frama-CPlug-in > Evapublic2011-07-07 15:262014-02-12 16:59
Reporteryakobowski 
Assigned Toyakobowski 
PrioritynormalSeveritycrashReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product VersionFrama-C GIT, precise the release id 
Target VersionFixed in VersionFrama-C Nitrogen-20111001 
Summary0000883: Crash du builtin memcpy, par une exception non rattrapable
DescriptionÀ analyser avec -val

extern unsigned int i;

char src[20];
char dst[10];

void main () {
  if (i <= 10)
    Frama_C_memcpy(dst+1, src, i);
}
Additional Informationsvn 14142
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0002022)
yakobowski (manager)
2011-07-07 16:47

Bug dans le builtin lui-même. Si la taille est complètement imprécise, il n'y a pas de partie précise à coller. Pour le moment j'ai ajouté un test avant le paste_offsetmap, mais est-ce qu'il ne faudrait pas plutôt ne rien faire dans paste_offsetmap quand la taille est nulle ?
(0004766)
yakobowski (manager)
2014-02-12 16:59

Fix committed to stable/neon branch.

- Issue History
Date Modified Username Field Change
2011-07-07 15:26 yakobowski New Issue
2011-07-07 15:26 yakobowski Status new => assigned
2011-07-07 15:26 yakobowski Assigned To => pascal
2011-07-07 16:47 yakobowski Note Added: 0002022
2011-07-07 16:53 svn Checkin
2011-07-07 16:53 svn Status assigned => resolved
2011-07-07 16:53 svn Resolution open => fixed
2011-10-10 14:13 signoles Fixed in Version => Frama-C Nitrogen-20111001
2011-10-10 14:14 signoles Status resolved => closed
2014-02-12 16:59 yakobowski Note Added: 0004766
2014-02-12 16:59 yakobowski Assigned To pascal => yakobowski
2014-02-12 16:59 yakobowski Status closed => resolved
2018-01-12 14:26 signoles Category Plug-in > value analysis => Plug-in > Eva


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker